From: Andrew Jones <andrew.jones@linux.dev>
To: Alexandru Elisei <alexandru.elisei@arm.com>
Cc: eric.auger@redhat.com, lvivier@redhat.com, thuth@redhat.com,
frankja@linux.ibm.com, imbrenda@linux.ibm.com,
nrb@linux.ibm.com, david@redhat.com, pbonzini@redhat.com,
kvm@vger.kernel.org, kvmarm@lists.linux.dev,
linuxppc-dev@lists.ozlabs.org, kvm-riscv@lists.infradead.org,
linux-s390@vger.kernel.org, will@kernel.org,
julien.thierry.kdev@gmail.com, maz@kernel.org,
oliver.upton@linux.dev, suzuki.poulose@arm.com,
yuzenghui@huawei.com, joey.gouly@arm.com,
andre.przywara@arm.com
Subject: Re: [kvm-unit-tests PATCH v2 11/18] arm/run: Add support for kvmtool
Date: Tue, 21 Jan 2025 17:50:02 +0100 [thread overview]
Message-ID: <20250121-98b6da755bc353722fae5f1f@orel> (raw)
In-Reply-To: <20250120164316.31473-12-alexandru.elisei@arm.com>
On Mon, Jan 20, 2025 at 04:43:09PM +0000, Alexandru Elisei wrote:
> Teach the arm runner to use kvmtool when kvm-unit-tests has been configured
> appropriately.
>
> The test is ran using run_test_status() because kvmtool does not have a
> testdev device to return the test exit code, so kvm-unit-tests must always
> parse the "EXIT: STATUS" line for the exit code.
>
> Signed-off-by: Alexandru Elisei <alexandru.elisei@arm.com>
> ---
> arm/run | 183 ++++++++++++++++++++++++++++++++++----------------------
> 1 file changed, 110 insertions(+), 73 deletions(-)
>
> diff --git a/arm/run b/arm/run
> index 9b11feafffdd..880d5afae86d 100755
> --- a/arm/run
> +++ b/arm/run
> @@ -17,77 +17,114 @@ qemu)
> exit 3
> esac
>
> -processor="$PROCESSOR"
> +arch_run_qemu()
> +{
> + processor="$PROCESSOR"
> +
> + if [ "$QEMU" ] && [ -z "$ACCEL" ] &&
> + [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ] &&
> + [ "$(basename $QEMU)" = "qemu-system-arm" ]; then
> + ACCEL="tcg"
> + fi
> +
> + set_qemu_accelerator || exit $?
> + if [ "$ACCEL" = "kvm" ]; then
> + QEMU_ARCH=$HOST
> + fi
> +
> + qemu=$(search_qemu_binary) ||
> + exit $?
> +
> + if ! $qemu -machine '?' | grep -q 'ARM Virtual Machine'; then
> + echo "$qemu doesn't support mach-virt ('-machine virt'). Exiting."
> + exit 2
> + fi
> +
> + M='-machine virt'
> +
> + if [ "$ACCEL" = "kvm" ]; then
> + if $qemu $M,\? | grep -q gic-version; then
> + M+=',gic-version=host'
> + fi
> + fi
> +
> + if [ "$ACCEL" = "kvm" ] || [ "$ACCEL" = "hvf" ]; then
> + if [ "$HOST" = "aarch64" ] || [ "$HOST" = "arm" ]; then
> + processor="host"
> + if [ "$ARCH" = "arm" ] && [ "$HOST" = "aarch64" ]; then
> + processor+=",aarch64=off"
> + fi
> + fi
> + fi
> +
> + if [ "$ARCH" = "arm" ]; then
> + M+=",highmem=off"
> + fi
> +
> + if ! $qemu $M -device '?' | grep -q virtconsole; then
> + echo "$qemu doesn't support virtio-console for chr-testdev. Exiting."
> + exit 2
> + fi
> +
> + if ! $qemu $M -chardev '?' | grep -q testdev; then
> + echo "$qemu doesn't support chr-testdev. Exiting."
> + exit 2
> + fi
> +
> + if [ "$UEFI_SHELL_RUN" != "y" ] && [ "$EFI_USE_ACPI" != "y" ]; then
> + chr_testdev='-device virtio-serial-device'
> + chr_testdev+=' -device virtconsole,chardev=ctd -chardev testdev,id=ctd'
> + fi
> +
> + pci_testdev=
> + if $qemu $M -device '?' | grep -q pci-testdev; then
> + pci_testdev="-device pci-testdev"
> + fi
> +
> + A="-accel $ACCEL$ACCEL_PROPS"
> + command="$qemu -nodefaults $M $A -cpu $processor $chr_testdev $pci_testdev"
> + command+=" -display none -serial stdio"
> + command="$(migration_cmd) $(timeout_cmd) $command"
> +
> + if [ "$UEFI_SHELL_RUN" = "y" ]; then
> + ENVIRON_DEFAULT=n run_test_status $command "$@"
> + elif [ "$EFI_USE_ACPI" = "y" ]; then
> + run_test_status $command -kernel "$@"
> + else
> + run_qemu $command -kernel "$@"
> + fi
> +}
> +
> +arch_run_kvmtool()
> +{
> + local command
> +
> + kvmtool=$(search_kvmtool_binary) ||
> + exit $?
> +
> + if [ "$ACCEL" ] && [ "$ACCEL" != "kvm" ]; then
> + echo "kvmtool does not support $ACCEL" >&2
> + exit 2
> + fi
> +
> + if ! kvm_available; then
> + echo "KVM required by kvmtool but not available on the host" >&2
> + exit 2
> + fi
> +
> + command="$(timeout_cmd) $kvmtool run"
> + if [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ]; then
> + run_test_status $command --kernel "$@" --aarch32
> + else
> + run_test_status $command --kernel "$@"
> + fi
> +}
>
> -if [ "$QEMU" ] && [ -z "$ACCEL" ] &&
> - [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ] &&
> - [ "$(basename $QEMU)" = "qemu-system-arm" ]; then
> - ACCEL="tcg"
> -fi
> -
> -set_qemu_accelerator || exit $?
> -if [ "$ACCEL" = "kvm" ]; then
> - QEMU_ARCH=$HOST
> -fi
> -
> -qemu=$(search_qemu_binary) ||
> - exit $?
> -
> -if ! $qemu -machine '?' | grep -q 'ARM Virtual Machine'; then
> - echo "$qemu doesn't support mach-virt ('-machine virt'). Exiting."
> - exit 2
> -fi
> -
> -M='-machine virt'
> -
> -if [ "$ACCEL" = "kvm" ]; then
> - if $qemu $M,\? | grep -q gic-version; then
> - M+=',gic-version=host'
> - fi
> -fi
> -
> -if [ "$ACCEL" = "kvm" ] || [ "$ACCEL" = "hvf" ]; then
> - if [ "$HOST" = "aarch64" ] || [ "$HOST" = "arm" ]; then
> - processor="host"
> - if [ "$ARCH" = "arm" ] && [ "$HOST" = "aarch64" ]; then
> - processor+=",aarch64=off"
> - fi
> - fi
> -fi
> -
> -if [ "$ARCH" = "arm" ]; then
> - M+=",highmem=off"
> -fi
> -
> -if ! $qemu $M -device '?' | grep -q virtconsole; then
> - echo "$qemu doesn't support virtio-console for chr-testdev. Exiting."
> - exit 2
> -fi
> -
> -if ! $qemu $M -chardev '?' | grep -q testdev; then
> - echo "$qemu doesn't support chr-testdev. Exiting."
> - exit 2
> -fi
> -
> -if [ "$UEFI_SHELL_RUN" != "y" ] && [ "$EFI_USE_ACPI" != "y" ]; then
> - chr_testdev='-device virtio-serial-device'
> - chr_testdev+=' -device virtconsole,chardev=ctd -chardev testdev,id=ctd'
> -fi
> -
> -pci_testdev=
> -if $qemu $M -device '?' | grep -q pci-testdev; then
> - pci_testdev="-device pci-testdev"
> -fi
> -
> -A="-accel $ACCEL$ACCEL_PROPS"
> -command="$qemu -nodefaults $M $A -cpu $processor $chr_testdev $pci_testdev"
> -command+=" -display none -serial stdio"
> -command="$(migration_cmd) $(timeout_cmd) $command"
> -
> -if [ "$UEFI_SHELL_RUN" = "y" ]; then
> - ENVIRON_DEFAULT=n run_test_status $command "$@"
> -elif [ "$EFI_USE_ACPI" = "y" ]; then
> - run_test_status $command -kernel "$@"
> -else
> - run_qemu $command -kernel "$@"
> -fi
> +case "$TARGET" in
> +qemu)
> + arch_run_qemu "$@"
> + ;;
> +kvmtool)
> + arch_run_kvmtool "$@"
> + ;;
> +esac
> --
> 2.47.1
>
>
Reviewed-by: Andrew Jones <andrew.jones@linux.dev>
--
kvm-riscv mailing list
kvm-riscv@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/kvm-riscv
WARNING: multiple messages have this Message-ID (diff)
From: Andrew Jones <andrew.jones@linux.dev>
To: Alexandru Elisei <alexandru.elisei@arm.com>
Cc: eric.auger@redhat.com, lvivier@redhat.com, thuth@redhat.com,
frankja@linux.ibm.com, imbrenda@linux.ibm.com,
nrb@linux.ibm.com, david@redhat.com, pbonzini@redhat.com,
kvm@vger.kernel.org, kvmarm@lists.linux.dev,
linuxppc-dev@lists.ozlabs.org, kvm-riscv@lists.infradead.org,
linux-s390@vger.kernel.org, will@kernel.org,
julien.thierry.kdev@gmail.com, maz@kernel.org,
oliver.upton@linux.dev, suzuki.poulose@arm.com,
yuzenghui@huawei.com, joey.gouly@arm.com,
andre.przywara@arm.com
Subject: Re: [kvm-unit-tests PATCH v2 11/18] arm/run: Add support for kvmtool
Date: Tue, 21 Jan 2025 17:50:02 +0100 [thread overview]
Message-ID: <20250121-98b6da755bc353722fae5f1f@orel> (raw)
In-Reply-To: <20250120164316.31473-12-alexandru.elisei@arm.com>
On Mon, Jan 20, 2025 at 04:43:09PM +0000, Alexandru Elisei wrote:
> Teach the arm runner to use kvmtool when kvm-unit-tests has been configured
> appropriately.
>
> The test is ran using run_test_status() because kvmtool does not have a
> testdev device to return the test exit code, so kvm-unit-tests must always
> parse the "EXIT: STATUS" line for the exit code.
>
> Signed-off-by: Alexandru Elisei <alexandru.elisei@arm.com>
> ---
> arm/run | 183 ++++++++++++++++++++++++++++++++++----------------------
> 1 file changed, 110 insertions(+), 73 deletions(-)
>
> diff --git a/arm/run b/arm/run
> index 9b11feafffdd..880d5afae86d 100755
> --- a/arm/run
> +++ b/arm/run
> @@ -17,77 +17,114 @@ qemu)
> exit 3
> esac
>
> -processor="$PROCESSOR"
> +arch_run_qemu()
> +{
> + processor="$PROCESSOR"
> +
> + if [ "$QEMU" ] && [ -z "$ACCEL" ] &&
> + [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ] &&
> + [ "$(basename $QEMU)" = "qemu-system-arm" ]; then
> + ACCEL="tcg"
> + fi
> +
> + set_qemu_accelerator || exit $?
> + if [ "$ACCEL" = "kvm" ]; then
> + QEMU_ARCH=$HOST
> + fi
> +
> + qemu=$(search_qemu_binary) ||
> + exit $?
> +
> + if ! $qemu -machine '?' | grep -q 'ARM Virtual Machine'; then
> + echo "$qemu doesn't support mach-virt ('-machine virt'). Exiting."
> + exit 2
> + fi
> +
> + M='-machine virt'
> +
> + if [ "$ACCEL" = "kvm" ]; then
> + if $qemu $M,\? | grep -q gic-version; then
> + M+=',gic-version=host'
> + fi
> + fi
> +
> + if [ "$ACCEL" = "kvm" ] || [ "$ACCEL" = "hvf" ]; then
> + if [ "$HOST" = "aarch64" ] || [ "$HOST" = "arm" ]; then
> + processor="host"
> + if [ "$ARCH" = "arm" ] && [ "$HOST" = "aarch64" ]; then
> + processor+=",aarch64=off"
> + fi
> + fi
> + fi
> +
> + if [ "$ARCH" = "arm" ]; then
> + M+=",highmem=off"
> + fi
> +
> + if ! $qemu $M -device '?' | grep -q virtconsole; then
> + echo "$qemu doesn't support virtio-console for chr-testdev. Exiting."
> + exit 2
> + fi
> +
> + if ! $qemu $M -chardev '?' | grep -q testdev; then
> + echo "$qemu doesn't support chr-testdev. Exiting."
> + exit 2
> + fi
> +
> + if [ "$UEFI_SHELL_RUN" != "y" ] && [ "$EFI_USE_ACPI" != "y" ]; then
> + chr_testdev='-device virtio-serial-device'
> + chr_testdev+=' -device virtconsole,chardev=ctd -chardev testdev,id=ctd'
> + fi
> +
> + pci_testdev=
> + if $qemu $M -device '?' | grep -q pci-testdev; then
> + pci_testdev="-device pci-testdev"
> + fi
> +
> + A="-accel $ACCEL$ACCEL_PROPS"
> + command="$qemu -nodefaults $M $A -cpu $processor $chr_testdev $pci_testdev"
> + command+=" -display none -serial stdio"
> + command="$(migration_cmd) $(timeout_cmd) $command"
> +
> + if [ "$UEFI_SHELL_RUN" = "y" ]; then
> + ENVIRON_DEFAULT=n run_test_status $command "$@"
> + elif [ "$EFI_USE_ACPI" = "y" ]; then
> + run_test_status $command -kernel "$@"
> + else
> + run_qemu $command -kernel "$@"
> + fi
> +}
> +
> +arch_run_kvmtool()
> +{
> + local command
> +
> + kvmtool=$(search_kvmtool_binary) ||
> + exit $?
> +
> + if [ "$ACCEL" ] && [ "$ACCEL" != "kvm" ]; then
> + echo "kvmtool does not support $ACCEL" >&2
> + exit 2
> + fi
> +
> + if ! kvm_available; then
> + echo "KVM required by kvmtool but not available on the host" >&2
> + exit 2
> + fi
> +
> + command="$(timeout_cmd) $kvmtool run"
> + if [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ]; then
> + run_test_status $command --kernel "$@" --aarch32
> + else
> + run_test_status $command --kernel "$@"
> + fi
> +}
>
> -if [ "$QEMU" ] && [ -z "$ACCEL" ] &&
> - [ "$HOST" = "aarch64" ] && [ "$ARCH" = "arm" ] &&
> - [ "$(basename $QEMU)" = "qemu-system-arm" ]; then
> - ACCEL="tcg"
> -fi
> -
> -set_qemu_accelerator || exit $?
> -if [ "$ACCEL" = "kvm" ]; then
> - QEMU_ARCH=$HOST
> -fi
> -
> -qemu=$(search_qemu_binary) ||
> - exit $?
> -
> -if ! $qemu -machine '?' | grep -q 'ARM Virtual Machine'; then
> - echo "$qemu doesn't support mach-virt ('-machine virt'). Exiting."
> - exit 2
> -fi
> -
> -M='-machine virt'
> -
> -if [ "$ACCEL" = "kvm" ]; then
> - if $qemu $M,\? | grep -q gic-version; then
> - M+=',gic-version=host'
> - fi
> -fi
> -
> -if [ "$ACCEL" = "kvm" ] || [ "$ACCEL" = "hvf" ]; then
> - if [ "$HOST" = "aarch64" ] || [ "$HOST" = "arm" ]; then
> - processor="host"
> - if [ "$ARCH" = "arm" ] && [ "$HOST" = "aarch64" ]; then
> - processor+=",aarch64=off"
> - fi
> - fi
> -fi
> -
> -if [ "$ARCH" = "arm" ]; then
> - M+=",highmem=off"
> -fi
> -
> -if ! $qemu $M -device '?' | grep -q virtconsole; then
> - echo "$qemu doesn't support virtio-console for chr-testdev. Exiting."
> - exit 2
> -fi
> -
> -if ! $qemu $M -chardev '?' | grep -q testdev; then
> - echo "$qemu doesn't support chr-testdev. Exiting."
> - exit 2
> -fi
> -
> -if [ "$UEFI_SHELL_RUN" != "y" ] && [ "$EFI_USE_ACPI" != "y" ]; then
> - chr_testdev='-device virtio-serial-device'
> - chr_testdev+=' -device virtconsole,chardev=ctd -chardev testdev,id=ctd'
> -fi
> -
> -pci_testdev=
> -if $qemu $M -device '?' | grep -q pci-testdev; then
> - pci_testdev="-device pci-testdev"
> -fi
> -
> -A="-accel $ACCEL$ACCEL_PROPS"
> -command="$qemu -nodefaults $M $A -cpu $processor $chr_testdev $pci_testdev"
> -command+=" -display none -serial stdio"
> -command="$(migration_cmd) $(timeout_cmd) $command"
> -
> -if [ "$UEFI_SHELL_RUN" = "y" ]; then
> - ENVIRON_DEFAULT=n run_test_status $command "$@"
> -elif [ "$EFI_USE_ACPI" = "y" ]; then
> - run_test_status $command -kernel "$@"
> -else
> - run_qemu $command -kernel "$@"
> -fi
> +case "$TARGET" in
> +qemu)
> + arch_run_qemu "$@"
> + ;;
> +kvmtool)
> + arch_run_kvmtool "$@"
> + ;;
> +esac
> --
> 2.47.1
>
>
Reviewed-by: Andrew Jones <andrew.jones@linux.dev>
next prev parent reply other threads:[~2025-01-21 16:50 UTC|newest]
Thread overview: 102+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-20 16:42 [kvm-unit-tests PATCH v2 00/18] arm/arm64: Add kvmtool to the runner script Alexandru Elisei
2025-01-20 16:42 ` Alexandru Elisei
2025-01-20 16:42 ` [kvm-unit-tests PATCH v2 01/18] run_tests: Document --probe-maxsmp argument Alexandru Elisei
2025-01-20 16:42 ` Alexandru Elisei
2025-01-21 14:41 ` Andrew Jones
2025-01-21 14:41 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 02/18] Document environment variables Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 14:41 ` Andrew Jones
2025-01-21 14:41 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 03/18] scripts: Refuse to run the tests if not configured for qemu Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 14:48 ` Andrew Jones
2025-01-21 14:48 ` Andrew Jones
2025-01-21 15:54 ` Alexandru Elisei
2025-01-21 15:54 ` Alexandru Elisei
2025-01-21 16:17 ` Andrew Jones
2025-01-21 16:17 ` Andrew Jones
2025-01-21 16:20 ` Alexandru Elisei
2025-01-21 16:20 ` Alexandru Elisei
2025-02-10 10:41 ` Alexandru Elisei
2025-02-10 10:41 ` Alexandru Elisei
2025-02-10 13:56 ` Andrew Jones
2025-02-10 13:56 ` Andrew Jones
2025-02-10 18:04 ` Alexandru Elisei
2025-02-10 18:04 ` Alexandru Elisei
2025-02-17 16:02 ` Al Dunsmuir
2025-02-17 16:02 ` Al Dunsmuir
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 04/18] run_tests: Introduce unittest parameter 'qemu_params' Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 15:46 ` Andrew Jones
2025-01-21 15:46 ` Andrew Jones
2025-02-12 13:40 ` Alexandru Elisei
2025-02-12 13:40 ` Alexandru Elisei
2025-02-12 15:48 ` Andrew Jones
2025-02-12 15:48 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 05/18] scripts: Rename run_qemu_status -> run_test_status Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 15:55 ` Andrew Jones
2025-01-21 15:55 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 06/18] scripts: Merge the qemu parameter -smp into $qemu_opts Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:12 ` Andrew Jones
2025-01-21 16:12 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 07/18] scripts: Introduce kvmtool_opts Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:24 ` Andrew Jones
2025-01-21 16:24 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 08/18] scripts/runtime: Detect kvmtool failure in premature_failure() Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:29 ` Andrew Jones
2025-01-21 16:29 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 09/18] scripts/runtime: Skip test when kvmtool and $accel is not KVM Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:30 ` Andrew Jones
2025-01-21 16:30 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 10/18] scripts/arch-run: Add support for kvmtool Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:46 ` Andrew Jones
2025-01-21 16:46 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 11/18] arm/run: " Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-21 16:50 ` Andrew Jones [this message]
2025-01-21 16:50 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 12/18] scripts/runtime: Add default arguments " Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 14:07 ` Andrew Jones
2025-01-23 14:07 ` Andrew Jones
2025-01-23 14:20 ` Alexandru Elisei
2025-01-23 14:20 ` Alexandru Elisei
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 13/18] run_tests: Do not probe for maximum number of VCPUs when using kvmtool Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 15:36 ` Andrew Jones
2025-01-23 15:36 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 14/18] run_tests: Add KVMTOOL environment variable for kvmtool binary path Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 15:43 ` Andrew Jones
2025-01-23 15:43 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 15/18] Add kvmtool_params to test specification Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 15:53 ` Andrew Jones
2025-01-23 15:53 ` Andrew Jones
2025-02-11 15:03 ` Alexandru Elisei
2025-02-11 15:03 ` Alexandru Elisei
2025-02-12 15:56 ` Andrew Jones
2025-02-12 15:56 ` Andrew Jones
2025-02-12 16:34 ` Alexandru Elisei
2025-02-12 16:34 ` Alexandru Elisei
2025-02-13 13:59 ` Andrew Jones
2025-02-13 13:59 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 16/18] scripts/mkstandalone: Export $TARGET Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 15:53 ` Andrew Jones
2025-01-23 15:53 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 17/18] unittest: Add disabled_if parameter and use it for kvmtool Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 16:08 ` Andrew Jones
2025-01-23 16:08 ` Andrew Jones
2025-01-20 16:43 ` [kvm-unit-tests PATCH v2 18/18] run_tests: Enable kvmtool Alexandru Elisei
2025-01-20 16:43 ` Alexandru Elisei
2025-01-23 16:12 ` Andrew Jones
2025-01-23 16:12 ` Andrew Jones
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250121-98b6da755bc353722fae5f1f@orel \
--to=andrew.jones@linux.dev \
--cc=alexandru.elisei@arm.com \
--cc=andre.przywara@arm.com \
--cc=david@redhat.com \
--cc=eric.auger@redhat.com \
--cc=frankja@linux.ibm.com \
--cc=imbrenda@linux.ibm.com \
--cc=joey.gouly@arm.com \
--cc=julien.thierry.kdev@gmail.com \
--cc=kvm-riscv@lists.infradead.org \
--cc=kvm@vger.kernel.org \
--cc=kvmarm@lists.linux.dev \
--cc=linux-s390@vger.kernel.org \
--cc=linuxppc-dev@lists.ozlabs.org \
--cc=lvivier@redhat.com \
--cc=maz@kernel.org \
--cc=nrb@linux.ibm.com \
--cc=oliver.upton@linux.dev \
--cc=pbonzini@redhat.com \
--cc=suzuki.poulose@arm.com \
--cc=thuth@redhat.com \
--cc=will@kernel.org \
--cc=yuzenghui@huawei.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.